# Hardware Info

The Touchbar is behind the T1 Chip, also known as the iBridge.
The Driver for the iBridge and the Touchpad and Ambient Light Sensor behind it are inside the Linux Kernel.
To Talk with the Touchbar, we need to send data to the iBridge Device.

| Info            | Value                 |
|-----------------|-----------------------|
| Vendor ID       | `0x05ac`              |
| Product ID      | `0x8600`              |
| Device Name     | `Apple, Inc. iBridge` |
| Max Packet Size | `64bytes`             |


More Information can be dumped with: `lsusb -d 05ac:0x8600 -v`